package sk.upjs.ics.paz1c;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Before;

public class PrihlasovanieTest {
    private PrihlasovaciaSluzba prihlasovaciaSluzba;
    
    @Before
    public void setUp() {
       prihlasovaciaSluzba = new PrihlasovaciaSluzba();         
    }
    
    @Test
    public void testPrihlasenie() {
       String meno = "yoda";
       String heslo = "nbusr123";
       
       boolean jePrihlaseny 
               = prihlasovaciaSluzba.prihlas(meno, heslo);
       
       //assertEquals(true, jePrihlaseny);       
       assertTrue(jePrihlaseny);
    }
    
    @Test
    public void testPrihlasenieSoZlymMenomAHeslom() {
       String meno = "yoda";
       String heslo = "yoda";
       
       boolean jePrihlaseny 
               = prihlasovaciaSluzba.prihlas(meno, heslo);
       
       assertFalse(jePrihlaseny);
    }    
}
